import prog1javalib.Base;

/*
Windows:
Compile: javac -cp .;prog1javalib.jar BookShop.java
Run: java -cp .;prog1javalib.jar BookShop

OS X:
Compile: javac -cp .:prog1javalib.jar BookShop.java
Run: java -cp .:prog1javalib.jar BookShop
*/

class Book {
	
	String Title;
	String ISBN;
	double Price;
	
    public Book(String title, String isbn, double price){
        Title=title;
		ISBN=isbn;
		Price=price;
    }
	
    @Override
    public String toString() {
		return "Book("+Title+", "+ISBN+", "+Price+")";
    }

}

public class BookShop {
	
	int BookMax;
	int BookCount;
	Book[] Books;
	
    public BookShop(int bookMax) {
		BookMax=bookMax;
		BookCount=0;
		Books=new Book[BookMax];
    }
	
	public void addBook(String title, String isbn, double price){
		if(BookCount<BookMax){
			Books[BookCount]=new Book(title,isbn,price);
			BookCount++;
		}else{
			Base.println("Can not add book \""+title+"\"! The bookshop is full!");
		}
	}
	
	public void printBooks(){
		for(int BookCur=0;BookCur<BookMax;BookCur++){
			Base.println(Books[BookCur].toString());
		}
	}
	
	public Book getBook(String title){
		for(int BookCur=0;BookCur<BookMax;BookCur++){
			if(Books[BookCur].Title.equals(title)){
				return Books[BookCur];
			}
		}
		return null;
	}
	
    public static void main(String[] args) {
		BookShop axBookShop=new BookShop(4);
		axBookShop.addBook("Zur Elektrodynamik bewegter Koerper","3-527-40564-X",10.00);
		axBookShop.addBook("Grundlagen der Elektrotechnik II","3-8273-7107-4",19.99);
		axBookShop.addBook("Ein Tag Von Wang Zheng","2-147-48364-7",3.14159265359);
		axBookShop.addBook("Chinesische Kueche","0-300-03955-7",36.49);
		axBookShop.addBook("Die Loesung fuer den Verzweigungsgrad des Alpha-Beta-Suche-Algorithmus und seine Optima","0-13-604259-7",5.99);
		axBookShop.printBooks();
		String str;
		Book BookResult;
		while(true){
			Base.print("Please type the Name of the book to search: ");
			str=Base.stringInput();
			BookResult=axBookShop.getBook(str);
			if(BookResult==null){
				Base.println("Book \""+str+"\" not found!");
			}else{
				Base.println(BookResult.toString());
			}
		}
    }

}
